:root{
    /* Color styles */
--dark--background: #0e0e11;
--black: hsla(0, 0%, 0%, 1);
--white: hsla(0, 0%, 100%, 1);
--slate--50: hsla(210, 40%, 98%, 1);
--slate--100: hsla(210, 40%, 96.1%, 1);
--slate--200: hsla(214, 31.8%, 91.4%, 1);
--slate--300: hsla(213, 26.8%, 83.9%, 1);
--slate--400: hsla(215, 20.2%, 65.1%, 1);
--slate--500: hsla(215, 16.3%, 46.9%, 1);
--slate--600: hsla(215, 19.3%, 34.5%, 1);
--slate--700: hsla(215, 25%, 26.7%, 1);
--slate--800: hsla(217, 32.6%, 17.5%, 1);
--slate--900: hsla(222, 47.4%, 11.2%, 1);
--slate--900--03: hsla(222, 47.4%, 11.2%, 0.3);
--slate--950: hsla(229, 84%, 4.9%, 1);
--gray--50: hsla(210, 20%, 98%, 1);
--gray--100: hsla(220, 14.3%, 95.9%, 1);
--gray--200: hsla(220, 13%, 91%, 1);
--gray--300: hsla(216, 12.2%, 83.9%, 1);
--gray--400: hsla(218, 10.6%, 64.9%, 1);
--gray--500: hsla(220, 8.9%, 46.1%, 1);
--gray--600: hsla(215, 13.8%, 34.1%, 1);
--gray--700: hsla(217, 19.1%, 26.7%, 1);
--gray--800: hsla(215, 27.9%, 16.9%, 1);
--gray--900: hsla(221, 39.3%, 11%, 1);
--gray--900--03: hsla(221, 39.3%, 11%, 0.3);
--gray--950: hsla(224, 71.4%, 4.1%, 1);
--zinc--50: hsla(0, 0%, 98%, 1);
--zinc--100: #f4f4f5;
--zinc--150: hsla(240, 5.0%, 93%, 1);
--zinc--200: hsla(240, 5.9%, 90%, 1);
--zinc--300: hsla(240, 4.9%, 83.9%, 1);
--zinc--400: hsla(240, 5%, 64.9%, 1);
--zinc--500: hsla(240, 3.8%, 46.1%, 1);
--zinc--600: hsla(240, 5.2%, 33.9%, 1);
--zinc--700: hsla(240, 5.3%, 26.1%, 1);
--zinc--800: hsla(240, 3.7%, 15.9%, 1);
--zinc--900: hsla(240, 5.9%, 10%, 1);
--zinc--900--03: hsla(240, 5.0%, 93%, 0.05);
--zinc--950: hsla(240, 10%, 3.9%, 1);
--neutral--50: hsla(0, 0%, 98%, 1);
--neutral--100: hsla(0, 0%, 96.1%, 1);
--neutral--200: hsla(0, 0%, 89.8%, 1);
--neutral--300: hsla(0, 0%, 83.1%, 1);
--neutral--400: hsla(0, 0%, 63.9%, 1);
--neutral--500: hsla(0, 0%, 45.1%, 1);
--neutral--600: hsla(0, 0%, 32.2%, 1);
--neutral--700: hsla(0, 0%, 25.1%, 1);
--neutral--800: hsla(0, 0%, 14.9%, 1);
--neutral--900: hsla(0, 0%, 9%, 1);
--neutral--900--03: hsla(0, 0%, 9%, 0.3);
--neutral--950: hsla(0, 0%, 3.9%, 1);
--stone--50: hsla(60, 9.1%, 97.8%, 1);
--stone--100: hsla(60, 4.8%, 95.9%, 1);
--stone--200: hsla(20, 5.9%, 90%, 1);
--stone--300: hsla(24, 5.7%, 82.9%, 1);
--stone--400: hsla(24, 5.4%, 63.9%, 1);
--stone--500: hsla(25, 5.3%, 44.7%, 1);
--stone--600: hsla(33, 5.5%, 32.4%, 1);
--stone--700: hsla(30, 6.2%, 25.1%, 1);
--stone--750: #363330;
--stone--800: hsla(12, 6.5%, 15.1%, 1);
--stone--900: hsla(24, 9.8%, 10%, 1);
--stone--900--03: hsla(24, 9.8%, 10%, 0.3);
--stone--950: hsla(20, 14.3%, 4.1%, 1);
--red--50: hsla(0, 85.7%, 97.3%, 1);
--red--100: hsla(0, 93.3%, 94.1%, 1);
--red--200: hsla(0, 96.3%, 89.4%, 1);
--red--300: hsla(0, 93.5%, 81.8%, 1);
--red--400: hsla(0, 90.6%, 70.8%, 1);
--red--500: hsla(0, 84.2%, 60.2%, 1);
--red--600: hsla(0, 72.2%, 50.6%, 1);
--red--700: hsla(0, 73.7%, 41.8%, 1);
--red--800: hsla(0, 70%, 35.3%, 1);
--red--900: hsla(0, 62.8%, 30.6%, 1);
--red--900--03: hsla(0, 62.8%, 30.6%, 0.3);
--red--950: hsla(0, 74.7%, 15.5%, 1);
--orange--50: hsla(33, 100%, 96.5%, 1);
--orange--100: hsla(34, 100%, 91.8%, 1);
--orange--200: hsla(32, 97.7%, 83.1%, 1);
--orange--300: hsla(31, 97.2%, 72.4%, 1);
--orange--400: hsla(27, 96%, 61%, 1);
--orange--500: hsla(25, 95%, 53.1%, 1);
--orange--600: hsla(21, 90.2%, 48.2%, 1);
--orange--700: hsla(17, 88.3%, 40.4%, 1);
--orange--800: hsla(15, 79.1%, 33.7%, 1);
--orange--900: hsla(15, 74.6%, 27.8%, 1);
--orange--900--03: hsla(15, 74.6%, 27.8%, 0.3);
--orange--950: hsla(13, 81.1%, 14.5%, 1);
--amber--50: hsla(48, 100%, 96.1%, 1);
--amber--100: hsla(48, 96.5%, 88.8%, 1);
--amber--200: hsla(48, 96.6%, 76.7%, 1);
--amber--300: hsla(46, 96.7%, 64.5%, 1);
--amber--400: hsla(43, 96.4%, 56.3%, 1);
--amber--500: hsla(38, 92.1%, 50.2%, 1);
--amber--600: hsla(32, 94.6%, 43.7%, 1);
--amber--700: hsla(26, 90.5%, 37.1%, 1);
--amber--800: hsla(23, 82.5%, 31.4%, 1);
--amber--900: hsla(22, 77.8%, 26.5%, 1);
--amber--900--03: hsla(22, 77.8%, 26.5%, 0.3);
--amber--950: hsla(21, 91.7%, 14.1%, 1);
--yellow--50: hsla(55, 91.7%, 95.3%, 1);
--yellow--100: hsla(55, 96.7%, 88%, 1);
--yellow--200: hsla(53, 98.3%, 76.9%, 1);
--yellow--300: hsla(50, 97.8%, 63.5%, 1);
--yellow--400: hsla(48, 95.8%, 53.1%, 1);
--yellow--500: hsla(45, 93.4%, 47.5%, 1);
--yellow--600: hsla(41, 96.1%, 40.4%, 1);
--yellow--700: hsla(35, 91.7%, 32.9%, 1);
--yellow--800: hsla(32, 81%, 28.8%, 1);
--yellow--900: hsla(28, 72.5%, 25.7%, 1);
--yellow--900--03: hsla(28, 72.5%, 25.7%, 0.3);
--yellow--950: hsla(26, 83.3%, 14.1%, 1);
--lime--50: hsla(78, 92%, 95.1%, 1);
--lime--100: hsla(80, 89.1%, 89.2%, 1);
--lime--200: hsla(81, 88.5%, 79.6%, 1);
--lime--300: hsla(82, 84.5%, 67.1%, 1);
--lime--400: hsla(83, 78%, 55.5%, 1);
--lime--500: hsla(84, 80.5%, 44.3%, 1);
--lime--600: hsla(85, 85.2%, 34.5%, 1);
--lime--700: hsla(86, 78.4%, 27.3%, 1);
--lime--800: hsla(86, 69%, 22.7%, 1);
--lime--900: hsla(88, 61.2%, 20.2%, 1);
--lime--900--03: hsla(88, 61.2%, 20.2%, 0.3);
--lime--950: hsla(89, 80.4%, 10%, 1);
--green--50: hsla(138, 76.5%, 96.7%, 1);
--green--100: hsla(141, 84.2%, 92.5%, 1);
--green--200: hsla(141, 78.9%, 85.1%, 1);
--green--300: hsla(142, 76.6%, 73.1%, 1);
--green--400: hsla(142, 69.2%, 58%, 1);
--green--500: hsla(142, 70.6%, 45.3%, 1);
--green--600: hsla(142, 76.2%, 36.3%, 1);
--green--700: hsla(142, 71.8%, 29.2%, 1);
--green--800: hsla(143, 64.2%, 24.1%, 1);
--green--900: hsla(144, 61.2%, 20.2%, 1);
--green--900--03: hsla(144, 61.2%, 20.2%, 0.3);
--green--950: hsla(145, 80.4%, 10%, 1);
--emerald--50: hsla(152, 81%, 95.9%, 1);
--emerald--100: hsla(149, 80.4%, 90%, 1);
--emerald--200: hsla(152, 76%, 80.4%, 1);
--emerald--300: hsla(156, 71.6%, 66.9%, 1);
--emerald--400: hsla(158, 64.4%, 51.6%, 1);
--emerald--500: hsla(160, 84.1%, 39.4%, 1);
--emerald--600: hsla(161, 93.5%, 30.4%, 1);
--emerald--700: hsla(163, 93.5%, 24.3%, 1);
--emerald--800: hsla(163, 88.1%, 19.8%, 1);
--emerald--900: hsla(164, 85.7%, 16.5%, 1);
--emerald--900--03: hsla(164, 85.7%, 16.5%, 0.3);
--emerald--950: hsla(166, 91.3%, 9%, 1);
--teal--50: hsla(166, 76.5%, 96.7%, 1);
--teal--100: hsla(167, 85.5%, 89.2%, 1);
--teal--200: hsla(168, 83.8%, 78.2%, 1);
--teal--300: hsla(171, 76.9%, 64.3%, 1);
--teal--400: hsla(172, 66%, 50.4%, 1);
--teal--500: hsla(173, 80.4%, 40%, 1);
--teal--600: hsla(175, 83.9%, 31.6%, 1);
--teal--700: hsla(175, 77.4%, 26.1%, 1);
--teal--800: hsla(176, 69.4%, 21.8%, 1);
--teal--900: hsla(176, 60.8%, 19%, 1);
--teal--900--03: hsla(176, 60.8%, 19%, 0.3);
--teal--950: hsla(179, 84.3%, 10%, 1);
--cyan--50: hsla(183, 100%, 96.3%, 1);
--cyan--100: hsla(185, 95.9%, 90.4%, 1);
--cyan--200: hsla(186, 93.5%, 81.8%, 1);
--cyan--300: hsla(187, 92.4%, 69%, 1);
--cyan--400: hsla(188, 85.7%, 53.3%, 1);
--cyan--500: hsla(189, 94.5%, 42.7%, 1);
--cyan--600: hsla(192, 91.4%, 36.5%, 1);
--cyan--700: hsl(193, 82%, 31%);
--cyan--750: hsl(193, 79.3%, 31%);
--cyan--800: hsla(194, 69.6%, 27.1%, 1);
--cyan--900: hsla(196, 63.6%, 23.7%, 1);
--cyan--900--03: hsla(196, 63.6%, 23.7%, 0.3);
--cyan--950: hsla(197, 78.9%, 14.9%, 1);
--sky--50: hsla(204, 100%, 97.1%, 1);
--sky--100: hsla(204, 93.8%, 93.7%, 1);
--sky--200: hsla(201, 94.4%, 86.1%, 1);
--sky--300: hsla(199, 95.5%, 73.9%, 1);
--sky--400: hsla(198, 93.2%, 59.6%, 1);
--sky--500: hsla(199, 88.7%, 48.4%, 1);
--sky--600: hsla(200, 98%, 39.4%, 1);
--sky--700: hsla(201, 96.3%, 32.2%, 1);
--sky--800: hsla(201, 90%, 27.5%, 1);
--sky--900: hsla(202, 80.3%, 23.9%, 1);
--sky--900--03: hsla(202, 80.3%, 23.9%, 0.3);
--sky--950: hsla(204, 80.2%, 15.9%, 1);
--blue--50: hsla(214, 100%, 96.9%, 1);
--blue--100: hsla(214, 94.6%, 92.7%, 1);
--blue--200: hsla(213, 96.9%, 87.3%, 1);
--blue--300: hsla(212, 96.4%, 78.4%, 1);
--blue--400: hsla(213, 93.9%, 67.8%, 1);
--blue--500: hsla(217, 91.2%, 59.8%, 1);
--blue--600: hsla(221, 83.2%, 53.3%, 1);
--blue--700: hsla(224, 76.3%, 48%, 1);
--blue--800: hsla(226, 70.7%, 40.2%, 1);
--blue--900: hsla(224, 64.3%, 32.9%, 1);
--blue--900--03: hsla(224, 64.3%, 32.9%, 0.3);
--blue--950: hsla(226, 57%, 21%, 1);
--indigo--50: hsla(226, 100%, 96.7%, 1);
--indigo--100: hsla(226, 100%, 93.9%, 1);
--indigo--200: hsla(228, 96.5%, 88.8%, 1);
--indigo--300: hsla(230, 93.5%, 81.8%, 1);
--indigo--400: hsla(234, 89.5%, 73.9%, 1);
--indigo--500: hsla(239, 83.5%, 66.7%, 1);
--indigo--600: hsla(243, 75.4%, 58.6%, 1);
--indigo--700: hsla(245, 57.9%, 50.6%, 1);
--indigo--800: hsla(244, 54.5%, 41.4%, 1);
--indigo--900: hsla(242, 47.4%, 34.3%, 1);
--indigo--900--03: hsla(242, 47.4%, 34.3%, 0.3);
--indigo--950: hsla(244, 47.1%, 20%, 1);
--violet--50: hsla(250, 100%, 97.6%, 1);
--violet--100: hsla(251, 91.3%, 95.5%, 1);
--violet--200: hsla(251, 95.2%, 91.8%, 1);
--violet--300: hsla(252, 94.7%, 85.1%, 1);
--violet--400: hsla(255, 91.7%, 76.3%, 1);
--violet--500: hsla(258, 89.5%, 66.3%, 1);
--violet--600: hsla(262, 83.3%, 57.8%, 1);
--violet--700: hsla(263, 70%, 50.4%, 1);
--violet--800: hsla(263, 69.3%, 42.2%, 1);
--violet--900: hsla(264, 67.4%, 34.9%, 1);
--violet--900--03: hsla(264, 67.4%, 34.9%, 0.3);
--violet--950: hsla(261, 72.6%, 22.9%, 1);
--purple--50: hsla(270, 100%, 98%, 1);
--purple--100: hsla(269, 100%, 95.5%, 1);
--purple--200: hsla(269, 100%, 91.8%, 1);
--purple--300: hsla(269, 97.4%, 85.1%, 1);
--purple--400: hsla(270, 95.2%, 75.3%, 1);
--purple--500: hsla(271, 91%, 65.1%, 1);
--purple--600: hsla(271, 81.3%, 55.9%, 1);
--purple--700: hsla(272, 71.7%, 47.1%, 1);
--purple--800: hsla(273, 67.2%, 39.4%, 1);
--purple--900: hsla(274, 65.6%, 32%, 1);
--purple--900--03: hsla(274, 65.6%, 32%, 0.3);
--purple--950: hsla(274, 86.9%, 21%, 1);
--fuchsia--50: hsla(289, 100%, 97.8%, 1);
--fuchsia--100: hsla(287, 100%, 95.5%, 1);
--fuchsia--200: hsla(288, 95.8%, 90.6%, 1);
--fuchsia--300: hsla(291, 93.1%, 82.9%, 1);
--fuchsia--400: hsla(292, 91.4%, 72.5%, 1);
--fuchsia--500: hsla(292, 84.1%, 60.6%, 1);
--fuchsia--600: hsla(293, 69.5%, 48.8%, 1);
--fuchsia--700: hsla(295, 72.4%, 39.8%, 1);
--fuchsia--800: hsla(295, 70.2%, 32.9%, 1);
--fuchsia--900: hsla(297, 63.6%, 28%, 1);
--fuchsia--900--03: hsla(297, 63.6%, 28%, 0.3);
--fuchsia--950: hsla(297, 90.2%, 16.1%, 1);
--pink--50: hsla(327, 73.3%, 97.1%, 1);
--pink--100: hsla(326, 77.8%, 94.7%, 1);
--pink--200: hsla(326, 84.6%, 89.8%, 1);
--pink--300: hsla(327, 87.1%, 81.8%, 1);
--pink--400: hsla(329, 85.5%, 70.2%, 1);
--pink--500: hsla(330, 81.2%, 60.4%, 1);
--pink--600: hsla(333, 71.4%, 50.6%, 1);
--pink--700: hsla(335, 77.6%, 42%, 1);
--pink--800: hsla(336, 74.4%, 35.3%, 1);
--pink--900: hsla(336, 69%, 30.4%, 1);
--pink--900--03: hsla(336, 69%, 30.4%, 0.3);
--pink--950: hsla(336, 83.9%, 17.1%, 1);
--rose--50: hsla(356, 100%, 97.3%, 1);
--rose--100: hsla(356, 100%, 94.7%, 1);
--rose--200: hsla(353, 96.1%, 90%, 1);
--rose--300: hsla(353, 95.7%, 81.8%, 1);
--rose--400: hsla(351, 94.5%, 71.4%, 1);
--rose--500: hsla(350, 89.2%, 60.2%, 1);
--rose--600: hsla(347, 77.2%, 49.8%, 1);
--rose--700: hsla(345, 82.7%, 40.8%, 1);
--rose--800: hsla(343, 79.7%, 34.7%, 1);
--rose--900: hsla(342, 75.5%, 30.4%, 1);
--rose--900--03: hsla(342, 75.5%, 30.4%, 0.3);
--rose--950: hsla(343, 87.7%, 15.9%, 1);

/* Text-size styles */
/* base size: text-base-16px-regular (16px) */
--text-base-regular: 1rem;
--text-sm-regular: 0.88rem;
--text-xs-regular: 0.75rem;
--text-lg-regular: 1.12rem;
--text-xl-regular: 1.25rem;
--text-2xl-regular: 1.38rem;
--text-3xl-regular: 1.5rem;
--text-4xl-regular: 1.75rem;
--text-5xl-regular: 2rem;
--text-6xl-regular: 2.25rem;
--text-7xl-regular: 2.5rem;
--text-8xl-regular: 3rem;
--text-9xl-regular: 3.5rem;
--text-base-semibold: 1rem;
--text-lg-semibold: 1.12rem;
--text-sm-semibold: 0.88rem;
--text-xs-semibold: 0.75rem;
--text-xl-semibold: 1.25rem;
--text-2xl-semibold: 1.38rem;
--text-3xl-semibold: 1.5rem;
--text-4xl-semibold: 1.75rem;
--text-5xl-semibold: 2rem;
--text-6xl-semibold: 2.25rem;
--text-7xl-semibold: 2.5rem;
--text-8xl-semibold: 3rem;
--text-9xl-semibold: 3.5rem;
--deco-6xl-36px-semibold: 2.25rem;
--deco-7xl-40px-semibold: 2.5rem;
--deco-8xl-48px-semibold: 3rem;
--deco-9xl-56px-semibold: 3.5rem;
--deco-5xl-30px-semibold: 1.88rem;
--deco-4xl-24px-semibold: 1.5rem;

}

/* *{
    outline: 1px dashed thistle ;

} */

html, body{

    font-family: Inter, Averia Serif Libre;
}

:global(body.light) body {
    color: var(--zinc--950);
}

:global(body.dark) body {
    color: var(--zinc--100);
}


/* *:focus {
    outline: 0px; 
    border-radius: 99px;     
    box-shadow: 0 0 0 4px rgba(0, 122, 204, 0.5); 
} */

/* Optionally, if you want to remove the default outline and just apply the custom one */


/* Specific focus for links (e.g., if you want to add more focus styles) */
a:focus {
    text-decoration: underline;
}